<?
if (!function_exists('___does_provide_service')) {
    function ___does_provide_service($svcs, $svc_id)
    {
        foreach ($svcs as $svc) {
            if ($svc['service_id'] == $svc_id) return true;
        }
        return false;
    }
}
if (!function_exists('___get_service_price')) {
    function ___get_service_price($svcs, $svc_id)
    {
        foreach ($svcs as $svc) {
            if ($svc['service_id'] == $svc_id) return $svc['price'];
        }
        return '';
    }
}


if (!function_exists('___get_service_currency')) {
    function ___get_service_currency($svcs, $svc_id)
    {
        foreach ($svcs as $svc) {
            if ($svc['service_id'] == $svc_id) {
                if (intval($svc['currency_id'])) {
                    return intval($svc['currency_id']);
                }
            }
        }
        return Cubix_Application::getById()->currency_id;
    }
}

$currencies = Model_Currencies::getAllAssoc();

$service_types = ['common', 'extra', 'fetish'];
$primary_selected_currencies = [
    'common' => null,
    'extra' => null,
    'fetish' => null,
];

foreach ($service_types as $type) {
    foreach ($this->defines['services'][$type] as $id => $item) {
        if (!is_null($primary_selected_currencies[$type])) break;

        if (___does_provide_service($this->data['services'], $id)) {
            $index = ___get_service_currency($this->data['services'], $id);

            $primary_selected_currencies[$type] = [
                'index' => $index,
                'title' => $currencies[$index]
            ];
        }
    }

    // Add default EUR if nothing was selected before
    if (is_null($primary_selected_currencies[$type])) {
        $primary_selected_currencies[$type] = [
            'index' => 2,
            'title' => $currencies[2]
        ];
    }
}


?>

<div class="errors-container mt-10" id="errors-container" style="display: none;">
    <div class="section-subtitle uppercase">
        <?= __('errors') ?>
    </div>
    <div class="box-section">
        <ol>
            <li class="visible-on-error">
                <p id="validation-services_offered_for_error" class="text-danger m-0"></p>
            </li>
        </ol>
    </div>
</div>

<form class="form ajax-form escort-services-page"
      action="<?= $this->getLink('edit-profile') ?>?step=services&escort=<?= $this->escort_id ?>" method="post">
    <div class="form-wrapper hash-sesction" data-scroll-anchor="services">
        <input type="hidden" name="escort" value="<?= $this->escort_id ?>"/>
        <div class="section-subtitle uppercase">
            <?= __('services') ?>
        </div>
        <div class="box-section inputs-container py-1">
            <p class="text-grey"></p>
            <div class="clear mb-10"></div>
            <div class="d-flex div-2-cols">
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="sex_orientation">
                            <? foreach (array(1 => __('heterosexual'), 2 => __('bisexual'), 3 => __('homosexual')) as $id => $opt): ?>
                                <? if ($this->data['sex_orientation'] == $id) $primary_orientation = $opt ?>
                                <option value="<?= $id ?>" <?= $this->data['sex_orientation'] == $id ? ' selected="selected"' : '' ?>><?= $opt ?></option>
                            <? endforeach ?>
                        </select>
                        <a class="dropdown-toggle" id="sexual-orientation-filter" data-toggle="dropdown"
                           aria-haspopup="true" aria-expanded="false">
                            <label><?= __('sexual_orientation') ?> </label>
                            <span class="dropdown-toggle-val uppercase">
								<?= $primary_orientation ? $primary_orientation : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?>
							</span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                            data-type="sexual-orientation-filter">
                            <? foreach (array(1 => __('heterosexual'), 2 => __('bisexual'), 3 => __('homosexual')) as $id => $opt): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach ?>
                        </ul>
                    </div>
                </div>
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <input type="hidden" name="services_offered_for_error"/>
                    <a href="#" title="" class="icon-error none" data-for="services_offered_for_error"></a>

                    <div class="dropdown" data-error="services_offered_for_error">
                        <select class="single-option-select d-none" name="sex_availability[]">
                            <? foreach ($this->defines['sex_availability_options'] as $id => $opt): ?>
                                <? if (in_array($id, explode(',', $this->data['sex_availability']))) $primary_services_for = $opt ?>
                                <option value="<?= $id ?>"><?= in_array($id, explode(',', $this->data['sex_availability'])) ? ' checked="checked"' : '' ?> <?= $opt ?></option>
                            <? endforeach ?>
                        </select>
                        <a class="dropdown-toggle corner-asterisk" id="offered-services-for-filter" data-toggle="dropdown"
                           aria-haspopup="true" aria-expanded="false">
                            <label><?= __('pv2_section_services_offered_for') ?> </label>
                            <span class="dropdown-toggle-val uppercase">
								<?= $primary_services_for ? $primary_services_for : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                            data-type="offered-services-for-filter">
                            <? foreach ($this->defines['sex_availability_options'] as $id => $opt): ?>
                                <li data-val="<?= $id ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear mb-20"></div>
        <div class="section-subtitle uppercase"><?= __('pv2_title_additional_information') ?></div>

        <div class="box-section inputs-container">
            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">
                <div class="multi-lng-text" id="services-multi-lng">
                    <div class="head">
                        <?
                        $langs = Cubix_I18n::getLangs(false);
                        $defaultLang = Cubix_Application::getDefaultLang();

                        foreach ($langs as $i => $lng) {
                            if ($i == $defaultLang) {
                                unset($langs[$i]);
                                $langs = array($i => $lng) + $langs;
                                break;
                            }
                        }
                        ?>

                        <ul class="nav nav-tabs">
                            <? foreach ($langs as $id => $title): ?>
                                <li class="nav-item" cx:lng="<?= $id ?>"
                                    cx:lng_d="<?= strlen($this->data['additional_service_' . $id]) ? 1 : 0 ?>" class="">
                                    <a data-parent="#services-multi-lng"
                                       class="nav-link custom <?= $id == $this->lang() ? 'active' : '' ?>"
                                       data-toggle="tab" href="#container-services-<?= $id ?>">
                                        <span class="flag-icon flag-icon-<?= $id ?>"></span>
                                    </a>
                                </li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                    <div class="body tab-content">
                        <? foreach (Cubix_I18n::getLangs(false) as $lng => $title): ?>
                            <div class="tab-pane container <?= $lng == $this->lang() ? 'active show' : '' ?>" id="container-services-<?= $lng ?>">
                                <textarea class="tinymce-editor" id="services-about-<?= $lng ?>" name="additional_service_<?= $lng ?>">
                                    <?= $this->data['additional_service_' . $lng] ?>
                                </textarea>
                            </div>
                        <? endforeach ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="mb-20"></div>
        <div class="section-subtitle uppercase d-block"><?= __('pv2_title_additional_services') ?></div>
        <div class="box-section inputs-container common-services">
            <div id="currency-accordion" class="service-dropdowns">
                <? $first = true; ?>
                <? foreach ($service_types as $type): ?>
                    <div class="card m-0">
                        <div class="card-header-panel pb-2">
                            <a class="collapsed card-link" data-toggle="collapse" href="#collapse<?= $type ?>">
                                <div class="d-flex justify-content-between align-items-center">
                                    <? if ($type == 'common'): ?>
                                        <p class="text-grey"><?= __('pv2_title_most_' . $type . '_services') ?></p>
                                    <? else: ?>
                                        <p class="text-grey"><?= __('pv2_title_' . $type . '_services') ?></p>
                                    <? endif; ?>
                                    <div class="d-flex dropdown-selection currency text-grey m-0">
                                        <p class="mr-10 text-dark"><?= __('services_extra_charge') ?></p>
                                        <div class="dropdown">
                                            <select class="single-option-select d-none currency-select"
                                                    data-type="<?= $type ?>">
                                                <? foreach ($currencies as $cur_id => $cur_title): ?>
                                                    <option value="<?= $cur_id ?>"><?= $cur_title ?></option>
                                                <? endforeach; ?>
                                            </select>

                                            <a class="dropdown-toggle" id="<?= $type ?>-services-currency"
                                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <span class="dropdown-toggle-val"><?= $primary_selected_currencies[$type]['title'] ?></span>
                                            </a>

                                            <ul class="dropdown-menu dropdown-small dropdown-grey dropdown-custom currency-dropdown"
                                                data-type="<?= $type ?>-services-currency">
                                                <? foreach ($currencies as $cur_id => $cur_title): ?>
                                                    <li data-val="<?= $cur_id ?>"><a
                                                                href="javascript:void(0)"><?= $cur_title ?></a></li>
                                                <? endforeach; ?>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div id="collapse<?= $type ?>" class="collapse"
                             data-parent="#currency-accordion">
                            <div class="card-body">
                                <div id="<?= $type ?>_services" class="services_block">
                                    <? foreach ($this->defines['services'][$type] as $id => $svc): ?>
                                        <?
                                        $is_active = ___does_provide_service($this->data['services'], $id);
                                        ?>
                                        <div class="common-services-filters service-list-item d-flex justify-content-between align-items-center">
                                            <div class="checkbox-container">
                                                <input id="svc-<?= $id ?>" type="checkbox" name="services[]"
                                                       value="<?= $id ?>"<?= $is_active ? ' checked="checked"' : '' ?> />
                                                <label for="svc-<?= $id ?>"><?= $svc ?></label>
                                            </div>
                                            <div class="autocomplete-container d-flex flex-grow-1" autocomplete="off">
                                                <input type="hidden" class="service_currencies_holder"
                                                       name="service_currencies[<?= $id ?>]"
                                                       value="<?= $primary_selected_currencies[$type]['index'] ?>">
                                                <input type="text" maxlength="7" <?= $is_active ? '' : 'disabled' ?> class="txt numbers-only"
                                                       name="service_prices[<?= $id ?>]"
                                                       value="<?= ___get_service_price($this->data['services'], $id) ?>">
                                                <span class="currency-type-bar"><?= $primary_selected_currencies[$type]['title'] ?></span>
                                            </div>
                                        </div>
                                    <? endforeach ?>
                                </div>
                            </div>
                            <? $first = false; ?>
                        </div>
                    </div>
                <? endforeach; ?>
            </div>
        </div>

    </div>

    <div class="d-flex bottom-actions-panel align-items-center mt-2">
        <a class="uppercase text-grey mr-30 discard"><?= __('reset') ?></a>
        <button class="btn btn-big btn-brown btn-bold uppercase submit"><?= __('pv2_save_changes') ?></button>
    </div>
    <div class="clear mb-40"></div>
</form>


